#terminologyView {
    flex: 1;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    margin: 0px;
    /*border: solid thin #999999;*/
}

#terminologyControls {
    padding: 5px;
    /*border: solid thin #999999;*/
    border-radius: 3px;
    margin: 1px;
}

#terminologyTreeFilter {
    padding: 5px;
}

#terminologyTree {
    height: 50%;
    overflow: auto;
    /*border: solid thin #999999;*/
    border-radius: 3px;
    margin: 1px;
    padding: 5px;
}

#terminologyEditor {
    /*border: solid thin #999999;*/
    border-radius: 3px;
    overflow-x: hidden;
    overflow-y: hidden;
    flex: 1;
    display: inline-flex;
    flex-direction: column;
}

#terminologyTreeFilter, #buttons {
    display: inline;
}

#tabOptions, #tabSynonyms, #tabTemplates, #tabUnits {
    flex: 1;
    overflow-x: hidden;
    overflow-y: auto;
    resize: none;
}

#ontologyOptions {
    height: 100%;
    display: flex;
    flex-direction: column;
}

#optionsArea {
    flex: 1;
    resize: none;
}

ul.fancytree-container {
    border: none;
    outline: none;
    background: transparent;
}

span.fancytree-node:hover .fancytree-title {
    background-color: #5295ce !important;
}

span.fancytree-node.multiSelect .fancytree-title {
    background-color: #5094ce;
    font-weight: bold;
}

#terminologyTree:focus {
    border: none;
    outline: none;
}

ul.ui-effects-placeholder {
    width: 10px !important;
}

.jsgrid-grid-header, .jsgrid-grid-body {
    overflow-x: hidden;
    overflow-y: auto;
}

.jsgrid {
    margin: 5px;
    width: auto !important;
}

.jsgrid-cell {
    display: table-cell;
    overflow: hidden;
    word-wrap: break-word;
}

.no-close .ui-dialog-titlebar-close {
    display: none;
}

.glyphicon-sort-by-alphabet, .glyphicon-sort-by-alphabet-alt, .glyphicon-tags{
    zoom: 1.4;
}

/*contextmenu design is taken from the editor contextmenu*/
.ui-menu-item-wrapper { /*.menu-btn*/
    background: none;
    line-height: normal;
    overflow: visible;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    display: block;
    width: 100%;
    font-size: 13px;
    text-align: left;
    cursor: pointer;
    border: 1px solid transparent;
    white-space: nowrap;
    border-radius: 3px;
}

.ui-menu .ui-menu-item-wrapper {
    padding-left: 25px;
    padding-top: 6px;
    padding-bottom: 6px;
}

.ui-menu { /*.menu */
    position: absolute;
    width: 200px;
    padding: 2px;
    margin: 0;
    border: 1px solid #bbb;
    background: white;
    z-index: 100;
    border-radius: 3px;
    box-shadow: 1px 1px 4px rgba(0, 0, 0, .2);
    transition: transform 0.1s ease-out, opacity 0.1s ease-out;
}

.ui-menu-item { /*.menu-item*/
    display: block;
    position: relative;
    margin: 0;
    white-space: nowrap;
}

.ui-state-active, .ui-widget-content .ui-state-active {
    border: 1px solid #2E3940;
    background: -webkit-linear-gradient(to bottom, #23C2FF, dodgerblue);
    background: linear-gradient(to bottom, #23C2FF, dodgerblue);
}

.errorDialog {
    color: red;
}

input:read-only {
    background-color: lightgrey;
}

form {
    margin: 0;
}

.ui-dialog .ui-dialog-content {
    padding: 12px;
}

.ui-dialog .ui-dialog-buttonpane {
    margin: 0;
}

.center {
    display: block;
    margin: auto;
    position: fixed;
    top: 40%;
    left: 45%;
    width: 10%;
}

.dragging {
    background-color: rgba(0, 0, 120, 0.5) !important;
}